| hscolour | Source code | Contents | Index

Language.Haskell.HsColour.Colourise

Synopsis

module Language.Haskell.HsColour.ColourHighlight

data ColourPrefs = ColourPrefs {

keyword, keyglyph, layout, comment, conid, varid, conop, varop, string, char, number, cpp, selection, variantselection, definition :: [Highlight]

}

readColourPrefs :: IO ColourPrefs
colourise :: ColourPrefs -> TokenType -> [Highlight]

Documentation
module Language.Haskell.HsColour.ColourHighlight

data ColourPrefs | Source

Colour preferences.
Constructors

ColourPrefs |

keyword, keyglyph, layout, comment, conid, varid, conop, varop, string, char, number, cpp, selection, variantselection, definition :: [Highlight] |

Instances

Eq ColourPrefs
Read ColourPrefs
Show ColourPrefs

readColourPrefs :: IO ColourPrefs | Source

Read colour preferences from .hscolour file in the current directory, or failing that, from $HOME/.hscolour, and failing that, returns a default set of prefs.

colourise :: ColourPrefs -> TokenType -> [Highlight] | Source

Convert token classification to colour highlights.
Produced by Haddock version 0.8